--- build.sh	2023-05-16 15:01:43.000000000 -0400
+++ build.sh	2023-05-16 18:44:20.000000000 -0400
@@ -20,22 +20,14 @@
 rm -rf bazelisk bin
 mkdir bin
 
+TARGET="bazelisk-${GOOS}-${GOARCH}"
+
 go build
-./bazelisk build --config=release \
-    //:bazelisk-darwin-amd64 \
-    //:bazelisk-darwin-arm64 \
-    //:bazelisk-darwin-universal \
-    //:bazelisk-linux-amd64 \
-    //:bazelisk-linux-arm64 \
-    //:bazelisk-windows-amd64
+./bazelisk build --config=release "//:${TARGET}"
 echo
 
-cp bazel-out/*-opt*/bin/bazelisk-darwin_amd64 bin/bazelisk-darwin-amd64
-cp bazel-out/*-opt*/bin/bazelisk-darwin_arm64 bin/bazelisk-darwin-arm64
-cp bazel-out/*-opt*/bin/bazelisk-darwin_universal bin/bazelisk-darwin
-cp bazel-out/*-opt*/bin/bazelisk-linux_amd64 bin/bazelisk-linux-amd64
-cp bazel-out/*-opt*/bin/bazelisk-linux_arm64 bin/bazelisk-linux-arm64
-cp bazel-out/*-opt*/bin/bazelisk-windows_amd64.exe bin/bazelisk-windows-amd64.exe
+cp bazel-out/*-opt/bin/bazelisk-${GOOS}_${GOARCH} bin/${TARGET}
+./bazelisk clean --expunge
 rm -f bazelisk
 
 ### Build release artifacts using `go build`.
@@ -54,9 +46,11 @@
 
 echo "== Bazelisk version output =="
 echo "Before releasing, make sure that this is the correct version string:"
-"bin/bazelisk-$(uname -s | tr [:upper:] [:lower:])-amd64" version | grep "Bazelisk version"
+"bin/${TARGET}" version | grep "Bazelisk version"
 echo
 
+"bin/${TARGET}" clean --expunge
+
 # Non-googlers: you should run this script with NPM_REGISTRY=https://registry.npmjs.org
 readonly REGISTRY=${NPM_REGISTRY:-https://wombat-dressing-room.appspot.com}
 echo "== NPM releases =="
